#!/bin/sh

# This script updates example files

test -d ~dexter/src || exit 0

for p in *.packages; do
    echo ${p%%.*}
done | sort -u | while read p; do \
    for f in \
      ~dexter/src/alioth/cvsdebuild/local/debian/*/$p/debian/*packages \
      ~dexter/src/alioth/$p/local/debian/*packages \
      ~dexter/src/alioth/pear-package/local/$p/debian/*packages
    do
        test -f $f || continue
        echo $f
        echo cat $f $(basename $(dirname $(dirname $f))).$(basename $f)
    done
done

svk ci

svk smerge --verbatim -l /yada/local /yada/trunk
